<%@ taglib uri="/WEB-INF/iscTaglib.xml" prefix="isomorphic" %>

<!-- This file bootstraps the user interface for the Batch DataSource Generator.  There
     is nothing of particular interest in here - file batchDSGenerator.jsp contains the 
     code for the DataSource generator   -->

<html>
<head>
<title>Batch DataSource Generator</title>

<isomorphic:loadISC modulesDir="system/development/" skin="Enterprise" />

</head>
<body>

<script>

<% 
    // Remember that we came in through the UI
    request.getSession().setAttribute("uiDisplayed", "true");
%>

var requestURL = "<% out.write(request.getRequestURL().toString()); %>"
var viewURL = requestURL.substring(0, requestURL.lastIndexOf("/") + 1) + "dsGenerator.js";
requestURL = requestURL.substring(0, requestURL.lastIndexOf("/") + 1) + "batchDSGenerator.jsp";

var disableFields = false;
var dbName = "";
var schemaName = "";
var tableName = "";
var className = "";
var outputFormat = "xml";
var overwrite = false;
var dumpTestData = false;
var timestampsAsDates = false;
var returnSQLType = false;

isc.Window.create({
    ID: "isc_generatorWindow",
	title: "Batch DataSource Generator",
	autoCenter: true, width: 620, height: 470, 
    items: [
        isc.ViewLoader.create({
            ID: "isc_generatorView",
            width: "100%", height: "100%",
            viewURL: viewURL,
            loadingMessage: " "
        })
    ],
    populateDatabaseList : function(data) {
        var valueMap = [];
        var dft = null;
        for (var i = 0; i < data.length; i++) {
            if (data[i].dbStatus == "OK") {
                valueMap.add(data[i].dbName);
                if (data[i].isDefault) dft = data[i].dbName;
            }
        }
        var item = isc_generatorForm.getField("dbName");
        item.setValueMap(valueMap);
        item.setValue(dft);
    }
});

isc.InstantDataApp.create({
    appAssembly:"smartclient",
    operations:{
        getDefinedDatabases:{type:"custom", ID:"getDefinedDatabases"}
    },
    appImplementer:"com.isomorphic.tools.AdminConsole",
    ID:"adminConsole"
});

adminConsole.performOperation("getDefinedDatabases", null,
    "isc_generatorWindow.populateDatabaseList(data)",
    { showPrompt: true, prompt: "Please wait, getting available databases..."});

</script>
</body>
</html>
