
package com.smartgwt.client.docs;

/**
 * <h3>DataBinding</h3>
 * DataBinding means the automatic, highly customizable process of 'binding' a UI component to a DataSource, so that a UI
 * component displays, edits and saves DataSource records using appropriate formatters, editors, validation rules, and
 * persistance logic.
 * @see com.smartgwt.client..PickListMenu#getDataProperties
 * @see com.smartgwt.client..PickList#getShowOptionsFromDataSource
 * @see com.smartgwt.client.widgets.form.fields.SelectItem#getShowOptionsFromDataSource
 * @see com.smartgwt.client.widgets.form.fields.ComboBoxItem#getShowOptionsFromDataSource
 * @see com.smartgwt.client..MultiView#getDataSource
 * @see com.smartgwt.client.widgets.calendar.Calendar#getAutoFetchData
 * @see com.smartgwt.client.widgets.calendar.Calendar#getAutoFetchTextMatchStyle
 * @see com.smartgwt.client.widgets.viewer.DetailViewer#getDataFetchMode
 * @see com.smartgwt.client.widgets.grid.ListGrid#getFields
 * @see com.smartgwt.client.widgets.grid.ListGrid#getDataSource
 * @see com.smartgwt.client.widgets.grid.ListGrid#getSaveLocally
 * @see com.smartgwt.client.widgets.grid.ListGrid#getUseAllDataSourceFields
 * @see com.smartgwt.client.widgets.grid.ListGrid#getShowDetailFields
 * @see com.smartgwt.client.widgets.grid.ListGrid#getDataProperties
 * @see com.smartgwt.client.widgets.tree.TreeGrid#getDataSource
 * @see com.smartgwt.client.widgets.tree.TreeGrid#getLoadDataOnDemand
 * @see com.smartgwt.client.widgets.tree.TreeGrid#getTreeRootValue
 * @see com.smartgwt.client.widgets.tree.TreeGrid#getFields
 * @see com.smartgwt.client.widgets.tile.TileGrid#getDataSource
 * @see com.smartgwt.client.widgets.tile.TileGrid#getAutoFetchData
 * @see com.smartgwt.client.widgets.tile.TileGrid#getAutoFetchTextMatchStyle
 * @see com.smartgwt.client.widgets.grid.ColumnTree#getDataSource
 * @see com.smartgwt.client.widgets.grid.ColumnTree#getAutoFetchData
 * @see com.smartgwt.client.widgets.grid.ColumnTree#getAutoFetchTextMatchStyle
 * @see com.smartgwt.client.widgets.grid.ColumnTree#getLoadDataOnDemand
 * @see com.smartgwt.client.widgets.grid.ColumnTree#getFields
 * @see com.smartgwt.client.widgets.DataBoundComponent#getDataSource
 * @see com.smartgwt.client.widgets.DataBoundComponent#getDataFetchMode
 * @see com.smartgwt.client.widgets.DataBoundComponent#getDataPageSize
 * @see com.smartgwt.client.widgets.DataBoundComponent#getFields
 * @see com.smartgwt.client.widgets.DataBoundComponent#getUseAllDataSourceFields
 * @see com.smartgwt.client.widgets.DataBoundComponent#getShowHiddenFields
 * @see com.smartgwt.client.widgets.DataBoundComponent#getShowDetailFields
 * @see com.smartgwt.client.widgets.DataBoundComponent#getShowComplexFields
 * @see com.smartgwt.client.widgets.grid.ListGrid#getAutoFetchData
 * @see com.smartgwt.client.widgets.form.DynamicForm#getAutoFetchData
 * @see com.smartgwt.client.widgets.form.DynamicForm#getAutoFetchTextMatchStyle
 */
public interface Databinding {
}
