package com.smartgwtee.client.widgets;

import com.google.gwt.core.client.JavaScriptObject;
import com.smartgwt.client.data.DataSource;
import com.smartgwt.client.widgets.BaseWidget;
import com.smartgwt.client.widgets.Canvas;
import com.smartgwt.client.widgets.form.fields.FormItem;

public class BatchUploader extends Canvas {

    public static BatchUploader getOrCreateRef(JavaScriptObject jsObj) {
        if (jsObj == null) return null;
        BaseWidget obj = BaseWidget.getRef(jsObj);
        if (obj != null) {
            return (BatchUploader) obj;
        } else {
            return new BatchUploader(jsObj);
        }
    }


    public BatchUploader() {
        setDsURL("/ds/batchUpload.ds.xml");
    }

    public BatchUploader(JavaScriptObject jsObj) {
        super(jsObj);
    }

    public native JavaScriptObject create()/*-{
        var config = this.@com.smartgwt.client.widgets.BaseWidget::getConfig()();
        return $wnd.isc.BatchUploader.create(config);
    }-*/;

    public void setUploadFormItems(FormItem... items) {
        setAttribute("uploadFormFields", items, false);
    }

    public void setUploadDataSource(DataSource dataSource) {
        setAttribute("uploadDataSource", dataSource.getOrCreateJsObj(), true);
    }

    public DataSource getUploadDataSource() {
        return DataSource.getOrCreateRef(getAttributeAsJavaScriptObject("uploadDataSource"));
    }

    /**
     * Setting dataURL causes every "add" operation issued by the BatchUploader to use that dataURL.
     *
     * @param dataURL the data URL
     */
    public void setDataURL(String dataURL) {
        setAttribute("dataURL", dataURL, true);
    }

    public String getDataURL() {
        return getAttributeAsString("dataURL");
    }

    /**
     * The location of  batchUpload.ds.xml. Defaults to /ds/batchUpload.ds.xml
     *
     * @param dsURL the batchUploader datasource URL
     */
    public void setDsURL(String dsURL) {
        setAttribute("dsURL", dsURL, true);
    }
}
